﻿
.wrap {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.text {
    color: black;
    display: inline-block;
    margin-left: 5px;
    font-size: 22px;
}

.bounceball {
    position: relative;
    display: inline-block;
    height: 37px;
    width: 25px;
}

    .bounceball:before {
        position: absolute;
        content: '';
        display: block;
        top: 0;
        width: 25px;
        height: 25px;
        border-radius: 50%;
        background-color: #0071bc;
        -webkit-transform-origin: 50%;
        transform-origin: 50%;
        -webkit-animation: bounce 500ms alternate infinite ease;
        animation: bounce 500ms alternate infinite ease;
    }

@-webkit-keyframes bounce {
    0% {
        top: 30px;
        height: 5px;
        border-radius: 60px 60px 20px 20px;
        -webkit-transform: scaleX(2);
        transform: scaleX(2);
    }

    35% {
        height: 15px;
        border-radius: 50%;
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
    }

    100% {
        top: 0;
    }
}

@keyframes bounce {
    0% {
        top: 30px;
        height: 5px;
        border-radius: 60px 60px 20px 20px;
        -webkit-transform: scaleX(2);
        transform: scaleX(2);
    }

    35% {
        height: 15px;
        border-radius: 50%;
        -webkit-transform: scaleX(1);
        transform: scaleX(1);
    }

    100% {
        top: 0;
    }
}

@media screen and (max-width: 762px) {
    .bounceball {
        left: 41%;
    }
}

